From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 13 April 2008<P>

APRIL BLENDER IS HERE!!!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 April 2008<P>

Kirk; Wow, that picture looks awesome there and should stay there every month or until you find another cute little love picture to match it.(That should draw some great attention too wink wink.)<BR>
<BR>
Thank you ever so much for the pick. Everyone around me (including me) has parents and aged pets that are dieing or have died, so that sort of sparked this months poem. I guess you sort of start weighing that life and death thing a little with your own mortality mixed in. <BR>
<BR>
It's cold down here in Nashvegas, calling for snow flurries even. It's either that or tornadoes and 80 to 30 in nothing flat. ha (Must be Spring huh?) <BR>
<BR>
Rens, hope you escaped that last one. It was a hairy little monster that bounced around a lot. Sort of like puppy Eins. You never know what he's going to destroy next. He's so handsome and deceiving, ha.  I have to keep my eye on him. He just took apart a box of Kleenex and a roll of paper towels in nothing flat. Ugh...oh well. <BR>
<BR>
Congratulations to all front pagers and Happy New Issue Kirk; Looks Great!<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=7">angel</a><BR>
Date: 13 April 2008<P>

Update on date with Michael.  Michael<BR>
proved to be a very nice guy just like I had imagined. Very fun to be with and<BR>
very easy to talk to. I wouldn't say there were fireworks or anything, maybe sparklers, but he is a very good kisser<BR>
and being with him felt eeirily familiar. I think the conversation was even better than the kissing...<BR>
I wonder if that is a good or bad sign LOL. We never had an akward silence and we talked about everything from <BR>
global warming to pig orgasims :D Dinner was at a Japanese Hibatchi steak house where we shared a fruited coctail. That was a bit romantic.<BR>
 I felt at ease and enjoyed his company. Maybe big sparks will come later...who knows. He does want to see me again and<BR>
 I would like to see him again. I got National Guard freebies too :) T-shirts and mugs :D I think our next date is planned here at the lake.<BR>
 I will bring my boat. Nothing concrete is planned yet.. distance may prove to be our <BR>
worst problem. So, internet dating can be a good thing if you are smart and careful.<BR>
And, if nothing else, I have met another good friend...but, this one I can kiss ;)<BR>
<BR>
<BR>
Kirk, Thanks for the front page pic. And Congrats to all other front pagers.<BR>

<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 13 April 2008<P>

Pig orgasms?
<HR>